%global pypi_name drf-extensions
%global module_name rest_framework_extensions
%global commitId 0328b9d7a1250ce539bb7b5bac54cdd1db5690c5

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:          python%{?component_prefix}-%{pypi_name}
Version:       0.7.1
Release:       1%{?dist}
Summary:       Django REST Framework extensions

License:       MIT
URL:           https://github.com/chibisov/drf-extensions
Source0:       python-drf-extensions-0328b9d7a1250ce539bb7b5bac54cdd1db5690c5.tar.gz
BuildArch:     noarch

BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-rpm-macros
BuildRequires: python%{python3_pkgversion}-setuptools

%description
DRF-extensions is a collection of custom extensions for Django REST Framework

%package -n python%{python3_pkgversion}-%{pypi_name}

Summary:       Django REST Framework extensions

Requires:      python%{python3_pkgversion}-djangorestframework >= 3.9.3

%description -n python%{python3_pkgversion}-%{pypi_name}
DRF-extensions is a collection of custom extensions for Django REST Framework

%prep
%autosetup -n python-%{pypi_name}-%{commitId}

%build
%{py3_build}

%install
%{py3_install}

%files -n python%{python3_pkgversion}-%{pypi_name}
%{python3_sitelib}/%{module_name}
%{python3_sitelib}/drf_extensions-%{version}-py%{python3_version}.egg-info
%license LICENSE
%doc README.md

%changelog
* Fri Mar 25 2022 Dimitri Savineau <dsavinea@redhat.com> - 0.7.1-1
- Initial package
